%define rhugversion 20031215
%define rhugsource1 %{name}-%{version} upstream
%define rhugpatches 5

Summary: Java Management Extensions (JMX)
Name: mx4j
Version: 1.1.1
Release: 9
URL: http://mx4j.sourceforge.net/
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}.tar.gz
Patch1: %{name}-rhjpp.patch
Patch5: %{name}-pr8823.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc34-c++
BuildPrereq: gcc34-java >= 3.4.0-1
BuildPrereq: xerces-j >= 2.2.1-16
BuildPrereq: xalan-j >= 2.4.1-14
BuildPrereq: bcel >= 5.0-13
BuildPrereq: javamail >= 20031006-4
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj34 >= 3.4.0-1
Requires: bcel >= 5.0-13

%description
MX4J is an open source implementation of the Java Management
Extensions (JMX).  JMX is used for managing and monitoring.

%package tools
Summary: Tools for use with MX4J
Group: System Environment/Libraries
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj34 >= 3.4.0-1
Requires: xerces-j >= 2.2.1-16
Requires: xalan-j >= 2.4.1-14
Requires: javamail >= 20031006-4
Requires: mx4j = %{version}-%{release}

%description tools
Some useful tools for use with MX4J.

%package devel
Summary: CNI headers for developing MX4J applications
Group: Development/Libraries
Requires: mx4j = %{version}-%{release}

%description devel
The mx4j-devel package contains the headers required to develop
Cygnus Native Interface (CNI) extensions that use MX4J.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .rhjpp
%patch5 -p0 -b .pr8823
mv ChangeLog ChangeLog.rhug
mv TODO TODO.rhug

%build
CC=gcc34 CXX=g++34 GCJ=gcj34 GCJH=gcjh34 \
./configure \
    --disable-static \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-management.so \
    %{_datadir}/java/mx4j-jmx.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-management.so \
    %{_datadir}/java/mx4j-jmx.jar

%post tools
%{_sbindir}/javaconfig \
    %{_libdir}/lib-mx4j-adaptor.so \
    %{_libdir}/lib-mx4j-connector.so \
    %{_libdir}/lib-mx4j-tools.so \
    %{_datadir}/java/mx4j-tools.jar

%postun tools
%{_sbindir}/javaconfig \
    %{_libdir}/lib-mx4j-adaptor.so \
    %{_libdir}/lib-mx4j-connector.so \
    %{_libdir}/lib-mx4j-tools.so \
    %{_datadir}/java/mx4j-tools.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/{README,LICENSE,docs}
%{_libdir}/lib-javax-management-%{version}.so
%{_datadir}/java/mx4j-jmx-%{version}.jar

%files tools
%defattr(-,root,root)
%{_libdir}/lib-mx4j-adaptor-%{version}.so
%{_libdir}/lib-mx4j-connector-%{version}.so
%{_libdir}/lib-mx4j-tools-%{version}.so
%{_datadir}/java/mx4j-tools-%{version}.jar

%files devel
%defattr(-,root,root)
%{_includedir}/javax/management
%{_includedir}/mx4j

%changelog
* Tue May  4 2004 Gary Benson <gbenson@redhat.com> 1.1.1-9
- Rebuild with new compiler.

* Thu Apr 15 2004 Gary Benson <gbenson@redhat.com> 1.1.1-8
- Rebuild with new compiler (#120844).

* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt.

* Mon Feb 16 2004 Gary Benson <gbenson@redhat.com> 1.1.1-7
- Rebuild for Fedora.

* Mon Dec 22 2003 Gary Benson <gbenson@redhat.com>
- Split tools into a subpackage.

* Mon Dec 15 2003 Gary Benson <gbenson@redhat.com>
- Apply hammer multilib fix to all multilib archs.
- Correctly link local libraries on hammer.

* Fri Dec 12 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to fluorinated RHUG tarball.
- Removed lib-mx4j.so compatibility library.
- Split mx4j.jar into mx4j-jmx.jar and mx4j-tools.jar, and split the
  libraries accordingly.
- Picked up some omitted resources in mx4j/adaptor/http/xsl.
- Enabled SMTP tools.

* Fri Sep 19 2003 Gary Benson <gbenson@redhat.com> 1.1.1-6
- Merge libraries to avoid unresolved symbols caused by broken
  circular dependencies.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.1.1-5
- Ensure we have a working javaconfig.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.1.1-4
- Rebuild with new compiler.

* Thu Aug  7 2003 Gary Benson <gbenson@redhat.com> 1.1.1-3
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 1.1.1-2
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Tue Jul  1 2003 Gary Benson <gbenson@redhat.com> 1.1.1-1
- Initial Red Hat Linux build.

* Fri Jun 27 2003 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
